Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 30 Oct 2014, 11:18
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
wxWidgets
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
robwoj44

Joined: 08 Aug 2008
Posts: 372
Location: Warsaw

PostPosted: Mon 29 Dec 2008, 03:19    Post_subject:  wxWidgets
Sub_title: wxWidgets-2.8.9
 

http://www.wxwidgets.org/
wxWidgets gives you a single, easy-to-use API for writing GUI applications on multiple platforms that still utilize the native platform's controls and utilities. Link with the appropriate library for your platform (Windows/Unix/Mac, others coming shortly) and compiler (almost any popular C++ compiler), and your application will adopt the look and feel appropriate to that platform. On top of great GUI functionality, wxWidgets gives you: online help, network programming, streams, clipboard and drag and drop, multithreading, image loading and saving in a variety of popular formats, database support, HTML viewing and printing, and much much more.
http://dotpups.de/puppy4/dotpups/Programming/
Back to top
View user's profile Send_private_message 
renlac

Joined: 19 Oct 2008
Posts: 46

PostPosted: Thu 29 Jan 2009, 16:53    Post_subject:  

Hello robwoj44,

As I am trying to install amule and it reportedly depends on wxwidgets, I downloaded it from the link you provided, thank you very much.

Now its installation tells it depends on (not found) libbfd libraries. Is that expected as I'm running puppy 412?

Regards,

~renlac
Back to top
View user's profile Send_private_message 
T_Hobbit


Joined: 27 May 2006
Posts: 400
Location: Portugal - Lisbon

PostPosted: Thu 29 Jan 2009, 18:23    Post_subject:  

Go here: http://www.murga-linux.com/puppy/viewtopic.php?t=37193
_________________
T_Hobbit
Idea Rebuilding old DOS Machine for Wing Commander Privateer and Puppy Exclamation Old spare parts to give away - anyone interested Question
Back to top
View user's profile Send_private_message 
robwoj44

Joined: 08 Aug 2008
Posts: 372
Location: Warsaw

PostPosted: Fri 07 Jun 2013, 10:40    Post_subject:  

Compiled in racy 5.5. wxWidgets-2.8.12

Which GUI toolkit should wxWidgets use? GTK+ 2 with support for gnomeprint
Should wxWidgets be compiled into single library? no
Should wxWidgets be compiled in debug mode? no
Should wxWidgets be linked as a shared library? yes
Should wxWidgets be compiled in Unicode mode? yes
What level of wxWidgets compatibility should be enabled?
wxWidgets 2.4 no
wxWidgets 2.6 yes
Which libraries should wxWidgets use?
jpeg sys
png sys
regex builtin
tiff sys
zlib sys
odbc no
expat sys
libmspack no
sdl no

http://dotpups.de/puppy5/racy/programming/
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0445s ][ Queries: 12 (0.0036s) ][ GZIP on ]